Skip to main content
GET
/
api2
/
v1
/
transMemories
List translation memories
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/transMemories \
  --header 'Authorization: <api-key>'
import requests

url = "https://cloud.memsource.com/web/api2/v1/transMemories"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://cloud.memsource.com/web/api2/v1/transMemories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "content": [
    {
      "businessUnit": {
        "id": "<string>",
        "name": "<string>",
        "uid": "<string>"
      },
      "client": {
        "id": "<string>",
        "name": "<string>",
        "uid": "<string>"
      },
      "createdBy": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>",
        "uid": "<string>",
        "userName": "<string>"
      },
      "dateCreated": "2023-11-07T05:31:56Z",
      "domain": {
        "id": "<string>",
        "name": "<string>",
        "uid": "<string>"
      },
      "id": "<string>",
      "internalId": 123,
      "name": "<string>",
      "note": "<string>",
      "owner": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>",
        "uid": "<string>",
        "userName": "<string>"
      },
      "sourceLang": "<string>",
      "subDomain": {
        "id": "<string>",
        "name": "<string>",
        "uid": "<string>"
      },
      "targetLangs": [
        "<string>"
      ],
      "uid": "<string>"
    }
  ],
  "numberOfElements": 123,
  "pageNumber": 123,
  "pageSize": 123,
  "sort": {
    "orders": [
      {
        "property": "<string>"
      }
    ]
  },
  "totalElements": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Query Parameters

name
string

Filter by TM name (prefix or substring match depending on configuration)

sourceLang
string

Filter by source language locale

targetLang
string

Filter by target language locale

clientId
string

Filter by client ID

domainId
string

Filter by domain ID

subDomainId
string

Filter by sub-domain ID

businessUnitId
string

Filter by business unit ID

pageNumber
integer<int32>
default:0

Page number, starting with 0, default 0

pageSize
integer<int32>
default:50

Page size, accepts values between 1 and 50, default 50

Required range: 1 <= x <= 50

Response

OK

content
object[]
numberOfElements
integer<int32>
pageNumber
integer<int32>
pageSize
integer<int32>
sort
object
totalElements
integer<int32>
totalPages
integer<int32>